import axios from '../../utils/axios';
import { stringToUrl } from '@/common/js/utils';

// 股票买卖挂单
export function addPendOrder(params) {
    return axios.post(`/tradeOrder/addPendOrder`, params);
}

// 查询用户可挂单数量(买/卖)
export function queryAllowPendNum() {
    return axios.get(`/tradeOrder/queryAllowPendNum`);
}

// 获取设备列表
export function getDeviceList(params) {
    return axios.post(`/SZWL-SERVER/tEquipment/findList?${stringToUrl(params)}`, params);
}

// 获取设备详情
export function getDeviceDetal(params) {
    return axios.post(`/SZWL-SERVER/tEquipment/findById?${stringToUrl(params)}`, params);
}

// 获取花型种类下拉列表
export function getGoodsNumber(params) {
    return axios.get(`/SZWL-SERVER/tGoodsData/getGoodsNumber?${stringToUrl(params)}`);
}

// 修改设备详情
export function updateDevice(params) {
    return axios.post(`/SZWL-SERVER/tEquipment/update?${stringToUrl(params)}`, params);
}

// 消除报警
export function eliminate(params) {
    return axios.post(`/SZWL-SERVER/tEquipment/eliminate?${stringToUrl(params)}`, params);
}

// 重启炉头/开启关闭炉头
export function setFurnace(params) {
    return axios.post(`/SZWL-SERVER/tEquipment/onOff?${stringToUrl(params)}`, params);
}

// 睡眠
export function sleepEquipment(params) {
    return axios.post(`/SZWL-SERVER/tEquipment/sleep?${stringToUrl(params)}`, params);
}

// 远程开门
export function openDoor(params) {
    return axios.post(`/SZWL-SERVER/tEquipment/openDoor?${stringToUrl(params)}`, params);
}

// 新版远程开门，包含内门外门
export function Api_openDoor(params) {
    return axios.get(`/SZWL-SERVER/tEquipment/openDoors`, { params })
}

// 系统脱机
export function deviceTuoji(params) {
    return axios.post(`/SZWL-SERVER/tEquipment/tuoji?${stringToUrl(params)}`, params);
}

// 音量调解
export function updateVolume(params) {
    return axios.post(`/SZWL-SERVER/tEquipment/updateVolume?${stringToUrl(params)}`, params);
}

// 获取商品下拉列表
export function selectProducts(params) {
    return axios.get(`/SZWL-SERVER/tProduct/selectProducts?${stringToUrl(params)}`);
}

// 远程做糖
export function doSugar(params) {
    return axios.get(`/SZWL-SERVER/tSugarDo/doSugar?${stringToUrl(params)}`);
}

// 查询做糖状态
export function selectSugarStatus(params) {
    return axios.get(`/SZWL-SERVER/tSugarDo/selectSugarStatus?${stringToUrl(params)}`);
}

// 今日做糖列表
export function selectSugarList(params) {
    return axios.get(`/SZWL-SERVER/tSugarDo/selectSugarList?${stringToUrl(params)}`);
}

// 查询定时开关列表
export function getAlaramClockList(params) {
    return axios.get(`/SZWL-SERVER/tAlarmClock/list?${stringToUrl(params)}`);
}

// 新增闹钟
export function addAlaramClock(params) {
    return axios.post(`/SZWL-SERVER/tAlarmClock/add?${stringToUrl(params)}`, params);
}

// 删除闹钟
export function deleteAlaramClock(params) {
    return axios.post(`/SZWL-SERVER/tAlarmClock/delete?${stringToUrl(params)}`, params);
}

// 闹钟回显
export function getAlaramClock(params) {
    return axios.post(`/SZWL-SERVER/tAlarmClock/selectOne?${stringToUrl(params)}`, params);
}

// 修改闹钟
export function alaramClockUpdate(params) {
    return axios.post(`/SZWL-SERVER/tAlarmClock/updata`, params);
}

// 获取旗下的机器
export function getListEquipment(params) {
    return axios.get(`/SZWL-SERVER/tEquipment/listEquipment?${stringToUrl(params)}`)
}

// 设备充值
export function rechargeAjax(params) {
    return axios.get(`/SZWL-SERVER/tOrder/equipmentPay?${stringToUrl(params)}`)
}

// 获取参数设置
export function getParameters(params) {
    return axios.post(`/SZWL-SERVER/tParameters/getParameters`, params)
}

// 修改参数设置
export function updateParameters(params) {
    return axios.post(`/SZWL-SERVER/tParameters/updateParameters`, params)
}

// 修改湿度区间参数
export function humidityParameters(params) {
    return axios.post(`/SZWL-SERVER/tEquipment/humidityParameters`, params)
}

// 启用物料监控
export function enableMaterial(params) {
    return axios.post(`/SZWL-SERVER/tParameters/enableMaterial`, params)
}

// 分销人回显
export function getProportion(params) {
    return axios.post(`/SZWL-SERVER/tProportion/getOne?${stringToUrl(params)}`)
}

// 提交审批或修改
export function saveProportion(params) {
    return axios.post(`/SZWL-SERVER/tProportion/save`, params)
}

// 单个/批量修改商品价格
export function Api_getUpdaProdPrice(params) {
    return axios.get(`/SZWL-SERVER/tProduct/updateProduct`, { params })
}

// 一键补料
export function Api_getReplenishment(params) {
    return axios.get(`/SZWL-SERVER/tEquipment/buliao`, { params })
}

// 远程
export function Api_getTApkInfo_updateApk(params) {
    return axios.get(`/SZWL-SERVER/tApkInfo/updateApk`, { params })
}

// 修改优惠码开关状态
export function Api_getDiscCodeStatus(params) {
    return axios.get(`/SZWL-SERVER/tEquipment/updateCouponStatus`, { params })
}

// 修改睡眠描述
export function changeSleepDesc(params) {
    return axios.get(`/SZWL-SERVER/tEquipmentDesc/updateSleepDesc`, { params })
}

// 删除设备
export function delOneDevice(params) {
    return axios.post(`/SZWL-SERVER/tEquipmentDeleted/delOneDevice`, params)
}

// 屏蔽/显示商品
export function updateProductsShow(params) {
    return axios.post(`/SZWL-SERVER/tProduct/updateProductsShow`, params)
}

// 远程修改机器密码
export function updateDevicePassword(params) {
    return axios.post(`/SZWL-SERVER/tEquipment/updatePassword`, params)
}

// 定制Logo
export function customLogo(params) {
    return axios.post(`/SZWL-SERVER/tLogo/customLogo`, params)
}

// 日志下载
export function downloadLog(params) {
    return axios.get(`/SZWL-SERVER/tEquipment/downloadLog?${stringToUrl(params)}`, { responseType: 'blob', timeout: 12000 });
}

// 获取DIY花型列表信息
export function selectDIYFlowers(params) {
    return axios.get(`/SZWL-SERVER/tEquipment/selectDIYFlowers?${stringToUrl(params)}`);
}

// 修改DIY花型功能开关状态
export function updateDIYFlowerStatus(params) {
    return axios.get(`/SZWL-SERVER/tEquipment/updateDIYFlowerStatus?${stringToUrl(params)}`);
}

// 修改DIY花型的形状或是否显示
export function updateDIYProductShow(params) {
    return axios.post(`/SZWL-SERVER/tEquipment/updateDIYProductShow`, params);
}

// 日志上传
export function uploadLog(params) {
    return axios.get(`/SZWL-SERVER/tEquipment/uploadLog?${stringToUrl(params)}`);
}

// 查询日志
export function queryLog(params) {
    return axios.get(`/SZWL-SERVER/tEquipment/queryLog?${stringToUrl(params)}`);
}

// 远程锁机
export function updateLockStatus(params) {
    return axios.get(`/SZWL-SERVER/tEquipment/updateLockStatus`, { params })
}